import { AfterContentInit, TemplateRef } from "@angular/core";
import { DataType } from "../data-operations/data-util";
import { IgxCellFooterTemplateDirective, IgxCellHeaderTemplateDirective, IgxCellTemplateDirective } from "./grid.common";
export declare class IgxColumnComponent implements AfterContentInit {
    field: string;
    header: string;
    sortable: boolean;
    editable: boolean;
    filtering: boolean;
    hidden: boolean;
    movable: boolean;
    width: string;
    index: number;
    filteringCondition: (target: any, searchVal: any, ignoreCase?: boolean) => boolean;
    filteringIgnoreCase: boolean;
    dataType: DataType;
    bodyTemplate: TemplateRef<any>;
    headerTemplate: TemplateRef<any>;
    footerTemplate: TemplateRef<any>;
    protected cellTemplate: IgxCellTemplateDirective;
    protected headTemplate: IgxCellHeaderTemplateDirective;
    protected footTemplate: IgxCellFooterTemplateDirective;
    ngAfterContentInit(): void;
}
