import { EventEmitter } from "@angular/core";
export interface IgxPaginatorEvent {
    currentPage: number;
    perPage: number;
    totalPages: number;
}
export declare class IgxPaginatorComponent {
    currentPage: number;
    totalPages: number;
    perPage: number;
    onPageChange: EventEmitter<IgxPaginatorEvent>;
    readonly isLast: boolean;
    readonly isFirst: boolean;
    paginate(page: number): void;
}
