import { ElementRef, EventEmitter } from "@angular/core";
export declare class IgxDialog {
    private static NEXT_ID;
    private static readonly DIALOG_CLASS;
    title: string;
    message: string;
    leftButtonLabel: string;
    leftButtonType: string;
    leftButtonColor: string;
    leftButtonBackgroundColor: string;
    leftButtonRipple: string;
    rightButtonLabel: string;
    rightButtonType: string;
    rightButtonColor: string;
    rightButtonBackgroundColor: string;
    rightButtonRipple: string;
    closeOnOutsideSelect: boolean;
    onOpen: EventEmitter<{}>;
    onClose: EventEmitter<{}>;
    onLeftButtonSelect: EventEmitter<{}>;
    onRightButtonSelect: EventEmitter<{}>;
    dialogEl: ElementRef;
    private _isOpen;
    private _titleId;
    private _state;
    readonly state: string;
    readonly isOpen: boolean;
    readonly role: string;
    readonly titleId: string;
    constructor();
    open(): void;
    close(): void;
    private onDialogSelected(event);
    private onInternalLeftButtonSelect(event);
    private onInternalRightButtonSelect(event);
    private toggleState(state);
}
export declare class IgxDialogModule {
}
