import { ElementRef, NgZone, Renderer2 } from "@angular/core";
export declare class IgxRippleDirective {
    protected el: ElementRef;
    protected renderer: Renderer2;
    private zone;
    rippleTarget: string;
    rippleColor: string;
    rippleDuration: number;
    protected container: HTMLElement;
    private _centered;
    private animationQueue;
    centered: boolean;
    constructor(el: ElementRef, renderer: Renderer2, zone: NgZone);
    onMouseDown(event: any): void;
    private _ripple(event);
}
export declare class IgxRippleModule {
}
